0
Respost

How can I tell what phones are compatible

budbkind fa 10 anys updated by Jona (Lead Developer) fa 10 anys 0

Answer

Answer
Respost
All Android devices running OS version 1.5 and higher are supported.
Answer
Respost
All Android devices running OS version 1.5 and higher are supported.